"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ModePickerInput;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactIntl = require("react-intl");
var _cspaceInput = require("cspace-input");
var _OptionPickerInput = _interopRequireDefault(require("../record/OptionPickerInput"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const messages = (0, _reactIntl.defineMessages)({
  label: {
    "id": "modePickerInput.label",
    "defaultMessage": "Run on"
  }
});
const modeMessages = (0, _reactIntl.defineMessages)({
  nocontext: {
    "id": "modePickerInput.mode.nocontext",
    "defaultMessage": "all records"
  },
  single: {
    "id": "modePickerInput.mode.single",
    "defaultMessage": "single record"
  },
  list: {
    "id": "modePickerInput.mode.list",
    "defaultMessage": "record list"
  },
  group: {
    "id": "modePickerInput.mode.group",
    "defaultMessage": "group"
  }
});
const {
  Label
} = _cspaceInput.components;
const propTypes = {
  modes: _propTypes.default.arrayOf(_propTypes.default.string),
  value: _propTypes.default.string
};
function ModePickerInput(props) {
  const {
    modes,
    value,
    ...remainingProps
  } = props;
  const options = modes.map(mode => ({
    value: mode,
    message: modeMessages[mode]
  }));
  return /*#__PURE__*/_react.default.createElement(_OptionPickerInput.default, _extends({
    blankable: false,
    label: /*#__PURE__*/_react.default.createElement(Label, null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, messages.label)),
    options: options,
    readOnly: modes.length < 2,
    value: value
  }, remainingProps));
}
ModePickerInput.propTypes = propTypes;