"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactIntl = require("react-intl");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const propTypes = {
  isPending: _propTypes.default.bool,
  // eslint-disable-next-line react/forbid-prop-types
  response: _propTypes.default.object,
  error: _propTypes.default.shape({
    message: _propTypes.default.string
  }),
  onSuccess: _propTypes.default.func
};
const messages = (0, _reactIntl.defineMessages)({
  pending: {
    "id": "logoutIndicator.pending",
    "defaultMessage": "Signing out..."
  },
  success: {
    "id": "logoutIndicator.success",
    "defaultMessage": "Success!"
  }
});
class LogoutIndicator extends _react.Component {
  componentDidUpdate(prevProps) {
    const {
      onSuccess,
      isPending,
      response
    } = this.props;
    if (onSuccess) {
      const isSuccess = prevProps.isPending && !isPending && response;
      if (isSuccess) {
        onSuccess();
      }
    }
  }
  renderPending() {
    const {
      isPending
    } = this.props;
    if (!isPending) {
      return null;
    }
    return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, messages.pending));
  }
  renderSuccess() {
    const {
      response
    } = this.props;
    if (!response) {
      return null;
    }
    return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement("h2", null, /*#__PURE__*/_react.default.createElement("br", null)), /*#__PURE__*/_react.default.createElement("p", null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, messages.success)));
  }
  renderError() {
    const {
      error
    } = this.props;
    if (!error) {
      return null;
    }
    return /*#__PURE__*/_react.default.createElement("div", null, error.message);
  }
  render() {
    return this.renderPending() || this.renderSuccess() || this.renderError();
  }
}
exports.default = LogoutIndicator;
LogoutIndicator.propTypes = propTypes;