"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = SearchButton;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactIntl = require("react-intl");
var _cspaceInput = require("cspace-input");
var _SearchButton = _interopRequireDefault(require("../../../styles/cspace-ui/SearchButton.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const {
  Button
} = _cspaceInput.components;
const messages = (0, _reactIntl.defineMessages)({
  label: {
    "id": "searchButton.label",
    "defaultMessage": "Search"
  }
});
const propTypes = {
  type: _propTypes.default.string
};
const defaultProps = {
  type: 'submit'
};
function SearchButton(props) {
  const {
    type,
    ...remainingProps
  } = props;
  return /*#__PURE__*/_react.default.createElement(Button, _extends({
    className: _SearchButton.default.common,
    icon: true,
    name: "search",
    type: type
  }, remainingProps), /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, messages.label));
}
SearchButton.propTypes = propTypes;
SearchButton.defaultProps = defaultProps;