"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactIntl = require("react-intl");
var _default = configContext => {
  const {
    formatRefName,
    formatTimestamp
  } = configContext.formatHelpers;
  return {
    default: {
      referenceNumber: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.uoc.default.referenceNumber",
            "defaultMessage": "Reference number"
          }
        }),
        order: 10,
        sortBy: 'uoc_common:referenceNumber',
        width: 200
      },
      title: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.uoc.default.title",
            "defaultMessage": "Title"
          }
        }),
        order: 20,
        sortBy: 'uoc_common:title',
        width: 300
      },
      authorizedBy: {
        formatValue: formatRefName,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.uoc.default.authorizedBy",
            "defaultMessage": "Authorized by"
          }
        }),
        order: 30,
        sortBy: 'uoc_common:authorizationGroupList/0/authorizedBy',
        width: 300
      },
      updatedAt: {
        formatValue: formatTimestamp,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.exhibition.default.updatedAt",
            "defaultMessage": "Updated"
          }
        }),
        order: 30,
        sortBy: 'collectionspace_core:updatedAt',
        width: 150
      }
    }
  };
};
exports.default = _default;