"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
exports.get = get;
var _immutable = _interopRequireDefault(require("immutable"));
var _actionCodes = require("../constants/actionCodes");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = function _default() {
  let state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _immutable.default.Map();
  let action = arguments.length > 1 ? arguments[1] : undefined;
  switch (action.type) {
    case _actionCodes.ADD_ID_GENERATORS:
      return state.mergeDeep(_immutable.default.fromJS(action.payload));
    case _actionCodes.READ_ID_GENERATOR_FULFILLED:
      return state.setIn([action.meta.idGeneratorName, 'sample'], action.payload.data.idgenerator.displayid);
    case _actionCodes.LOGOUT_FULFILLED:
      return state.map(idGeneratorState => idGeneratorState.delete('sample'));
    default:
      return state;
  }
};
exports.default = _default;
function get(state, idGeneratorName) {
  return state.get(idGeneratorName);
}