import { defineMessages } from 'react-intl';

export default {
  dimensions: {
    values: [
      'area',
      'base',
      'circumference',
      'count',
      'depth',
      'diameter',
      'height',
      'intended duration',
      'length',
      'running-time',
      'screen resolution',
      'target',
      'volume',
      'weight',
      'width',
    ],
    messages: defineMessages({
      area: {
        id: 'option.dimensions.area',
        defaultMessage: 'area',
      },
      base: {
        id: 'option.dimensions.base',
        defaultMessage: 'base',
      },
      circumference: {
        id: 'option.dimensions.circumference',
        defaultMessage: 'circumference',
      },
      count: {
        id: 'option.dimensions.count',
        defaultMessage: 'count',
      },
      depth: {
        id: 'option.dimensions.depth',
        defaultMessage: 'depth',
      },
      diameter: {
        id: 'option.dimensions.diameter',
        defaultMessage: 'diameter',
      },
      height: {
        id: 'option.dimensions.height',
        defaultMessage: 'height',
      },
      'intended duration': {
        id: 'option.dimensions.intended duration',
        defaultMessage: 'intended duration',
      },
      length: {
        id: 'option.dimensions.length',
        defaultMessage: 'length',
      },
      'running-time': {
        id: 'option.dimensions.running-time',
        defaultMessage: 'running time',
      },
      'screen resolution': {
        id: 'option.dimensions.screen resolution',
        defaultMessage: 'screen resolution',
      },
      target: {
        id: 'option.dimensions.target',
        defaultMessage: 'target',
      },
      volume: {
        id: 'option.dimensions.volume',
        defaultMessage: 'volume',
      },
      weight: {
        id: 'option.dimensions.weight',
        defaultMessage: 'weight',
      },
      width: {
        id: 'option.dimensions.width',
        defaultMessage: 'width',
      },
    }),
  },
  measurementUnits: {
    values: [
      'carats',
      'centimeters',
      'cubic-centimeters',
      'dpi',
      'feet',
      'hours',
      'inches',
      'kilograms',
      'liters',
      'millimeters',
      'milliseconds',
      'meters',
      'minutes',
      'ounces',
      'pixels',
      'pounds',
      'ppi',
      'seconds',
      'square-feet',
      'stories',
      'tons',
    ],
    messages: defineMessages({
      carats: {
        id: 'option.measurementUnits.carats',
        defaultMessage: 'carats',
      },
      centimeters: {
        id: 'option.measurementUnits.centimeters',
        defaultMessage: 'centimeters',
      },
      'cubic-centimeters': {
        id: 'option.measurementUnits.cubic-centimeters',
        defaultMessage: 'cubic centimeters',
      },
      dpi: {
        id: 'option.measurementUnits.dpi',
        defaultMessage: 'dots per inch',
      },
      feet: {
        id: 'option.measurementUnits.feet',
        defaultMessage: 'feet',
      },
      hours: {
        id: 'option.measurementUnits.hours',
        defaultMessage: 'hours',
      },
      inches: {
        id: 'option.measurementUnits.inches',
        defaultMessage: 'inches',
      },
      kilograms: {
        id: 'option.measurementUnits.kilograms',
        defaultMessage: 'kilograms',
      },
      liters: {
        id: 'option.measurementUnits.liters',
        defaultMessage: 'liters',
      },
      millimeters: {
        id: 'option.measurementUnits.millimeters',
        defaultMessage: 'millimeters',
      },
      milliseconds: {
        id: 'option.measurementUnits.milliseconds',
        defaultMessage: 'milliseconds',
      },
      meters: {
        id: 'option.measurementUnits.meters',
        defaultMessage: 'meters',
      },
      minutes: {
        id: 'option.measurementUnits.minutes',
        defaultMessage: 'minutes',
      },
      ounces: {
        id: 'option.measurementUnits.ounces',
        defaultMessage: 'ounces',
      },
      pixels: {
        id: 'option.measurementUnits.pixels',
        defaultMessage: 'pixels',
      },
      pounds: {
        id: 'option.measurementUnits.pounds',
        defaultMessage: 'pounds',
      },
      ppi: {
        id: 'option.measurementUnits.ppi',
        defaultMessage: 'pixels per inch',
      },
      seconds: {
        id: 'option.measurementUnits.seconds',
        defaultMessage: 'seconds',
      },
      'square-feet': {
        id: 'option.measurementUnits.square-feet',
        defaultMessage: 'square feet',
      },
      stories: {
        id: 'option.measurementUnits.stories',
        defaultMessage: 'stories',
      },
      tons: {
        id: 'option.measurementUnits.tons',
        defaultMessage: 'tons',
      },
    }),
  },
};
